Skip to main content

Reload Certificate

Reload All Certificates​

Batch reload certificates of all Virtual Hosts. In case of failure, the existing certificate will continue to be used.

Request​

POST /v1/vhosts:reloadAllCertificates
Authorization: Basic {credentials}

# Authorization
Credentials for HTTP Basic Authentication created with <AccessToken>

Responses​

200 Ok

The request has succeeded

Header

Content-Type: application/json

Body

{
"message": "OK",
"statusCode": 200
}

# statusCode
Same as HTTP Status Code
# message
A human-readable description of the response code
500 Internal Server Error

Failed to reload certificate. Keep the existing certificate. The reason for the failure can be found in the server logs.

Reload Certificate​

Reload the certificate of the specified Virtual Hosts. In case of failure, the existing certificate will continue to be used.

Request​

POST /v1/vhosts/{vhost}:reloadCertificate

Header​

Authorization: Basic {credentials}

# Authorization
Credentials for HTTP Basic Authentication created with <AccessToken>

Responses​

200 Ok

The request has succeeded

Header

Content-Type: application/json

Body

{
<strong> "message": "OK",
</strong> "statusCode": 200
}

# statusCode
Same as HTTP Status Code
# message
A human-readable description of the response code
500 Internal Server Error

Failed to reload certificate. Keep the existing certificate. The reason for the failure can be found in the server logs.